package library;

import java.util.ArrayList;

public class ArrayOperations {

	/**
	 * Prints an array list.
	 * @param list
	 */
	public static void printArrayList(ArrayList list){
		System.out.println("\n[ArrayOperations.java]Print list of size "+ list.size());
		for (int i = 0; i < list.size();i++){
			System.out.println(list.get(i));
		}
	}
	
	/**
	 * Prints an array of doubles.
	 * @param list
	 */
	public static void printArray(double[] array){
		System.out.println("\n[ArrayOperations.java]Print array of size "+array.length);
		for (int i = 0; i < array.length;i++){
			System.out.println(array[i]);
		}
	}
	
	/**
	 * Generates an array of values.
	 * @param length
	 * @param minValue
	 * @param incr
	 * @return
	 */
	public static double[] generateArray(int length, double minValue, double incr){
		double[] array = new double[length];
		int index = 0;
		for (double val = minValue; val < MathOperations.roundTo1(minValue + (length * incr)); val= MathOperations.roundTo1(val + incr) ){
			//maxValue = minValue + (length-1)*incr
			//val = MathOperations.roundTo1(val);
			//System.out.println("Index: " + index);
			array[index] = val;
			index++;
		}
		return array;
	}

}
